Skitflow
Generated

Gitlab

Skitflow API reference for Gitlab endpoints.

POST
/gitlab.create

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/gitlab.create" \  -H "Content-Type: application/json" \  -d '{    "authId": "string",    "name": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/gitlab.one

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

gitlabId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/gitlab.one?gitlabId=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/gitlab.gitlabProviders

Authorization

Authorization
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/gitlab.gitlabProviders"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/gitlab.getGitlabRepositories

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

gitlabId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/gitlab.getGitlabRepositories?gitlabId=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/gitlab.getGitlabBranches

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

id?number
owner*string
repo*string
gitlabId?string

Response Body

application/json

application/json

curl -X GET "https://example.com/gitlab.getGitlabBranches?owner=string&repo=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/gitlab.testConnection

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/gitlab.testConnection" \  -H "Content-Type: application/json" \  -d '{}'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/gitlab.update

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/gitlab.update" \  -H "Content-Type: application/json" \  -d '{    "gitlabId": "string",    "gitProviderId": "string",    "name": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}